The emails are rolling in…  Usually they say something like this.

Hi Ron - I installed VS2010 and the .NET 4.0 Framework RTM versions yesterday. I then went to re-install Windows Server AppFabric from the Web Platform Installer, but it has a dependency on the .NET 4.0 Framework RC. Is there a build of AppFabric coming soon that runs on .NET 4.0 RTM?

Before you try this let me say… just don’t.

I know, you really want to move on to VS2010 RTM.  So do I but you can’t use AppFabric Beta 2 with .NET 4 RTM.

So your next question is… when can I make this move to RTM?

We have been saying that Windows Server AppFabric will release in H1 of 2010.  That means by the end of June you will have the RTM version of AppFabric in your hands so hang on just a little longer.

After all, the RC release of .NET 4 is pretty good.  There were not a lot of changes between RC and RTM so keep plugging away on the RC release and we promise to get AppFabric released as soon as possible.

Ron